Subject: Re: bug#66582: annoying, needless warning messages from [fe]grep

From: Paul Eggert <[email-masked]>
Date: Mon, 16 Oct 2023 21:36:03 -0700

On 2023-10-16 20:28, Sam James wrote:

> grep is not from coreutils. As for the issue you discuss, it's being
> brought up on the grep mailing lists already
I moved this new bug report to the grep package and merged it with the 
grep mailing list discussions, which already pretty much eliminated 
using POSIXLY_CORRECT as that environment variable is not meant for this 
sort of thing. For details please see <https://bugs.gnu.org/66582> and 
follow the "Merged with" links.

> and as a crusty 50+ year old myself, I'm not
> planning to train my fingers out of using it either.

I may have you beat there. I had been using egrep since 1976. I visited 
Bell Labs in the 1970s and talked to some of the people who developed 
Unix. I have fond memories of using egrep in complicated and unexpected 
ways (and having it crash on me). Sigh. Those were the days....